
Summary: Filesharing client
Name:	 apollon
Version: 1.0.1
Release: 14%{?dist}

License: GPLv2+
Group: 	 Applications/Internet
URL: 	 http://apollon.sourceforge.net/
Source:	 http://dl.sourceforge.net/sourceforge/apollon/apollon-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Fix Name/GenericName, append ; to Categories, 
# remove lines containing non UTF-8 chars ([de] entries)
Patch1: apollon-1.0.1-dtfix.patch 
# http://bugzilla.redhat.com/185258
Patch2: apollon-1.0.1-firstrun.patch

Requires: %{name}-libs = %{version}-%{release}

BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: gift-devel
BuildRequires: kdelibs3-devel 

%description
A filesharing client which uses giFT.

%package libs
Summary: %{name} runtime libraries
Group:   System Environment/Libraries
# helps multilib upgrades
Obsoletes: %{name} < %{version}-%{release}
Requires:  %{name} = %{version}-%{release}
%description libs
%{summary}.


%prep
%setup -q 

%patch1 -p1 -b .dtfix
%patch2 -p1 -b .firstrun


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

desktop-file-install \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --vendor="" \
  --delete-original \
  %{buildroot}%{_datadir}/applnk/Applications/*.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

## Unpackaged files
rm -f %{buildroot}%{_libdir}/lib*.la
rm -f %{buildroot}%{_libdir}/lib*.so


%clean
rm -rf %{buildroot}


%post
for icon_theme in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done

%postun
for icon_theme in crystalsvg hicolor ; do
  touch --no-create %{_datadir}/icons/${icon_theme} ||:
  gtk-update-icon-cache -q %{_datadir}/icons/${icon_theme} 2> /dev/null ||:
done

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README TODO
%{_bindir}/apollon
%{_datadir}/applications/kde/*.desktop
%{_datadir}/icons/crystalsvg/*/*/*
%{_datadir}/icons/hicolor/*/*/*

%files libs
%defattr(-,root,root,-)
%{_libdir}/libapollon.so.*


%changelog
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 11 2008 Rex Dieter <rdieter@fedoraproject.org> 1.0.1-13
- respin (gcc43)

* Mon Oct 30 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.1-12
- -libs subpkg, multiarch conflicts in apollon (#340661)

* Sat Aug 25 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.1-11
- fixup d-f-i usage
- respin (BuildID)

* Sat Aug 11 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.1-9
- BR: kdelibs3-devel
- License: GPLv2+

* Thu May 24 2007 Rex Dieter <rdieter[AT]fedoraproject.org> 1.0.1-8 
- respin for ppc64

* Tue Aug 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-7
- fc6 respin

* Mon Mar 13 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-5
- firstrun patch (#185258)

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Thu Jan 26 2006 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-4
- drop libacl hack

* Tue Dec 20 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-3
- BR: libacl-devel (workaround kdelibs bug #170602)

* Mon Dec 19 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-2 
- more %%doc's: AUTHORS ChangeLog COPYING TODO 
- drop %%_libdir/lib*.la

* Thu Dec 08 2005 Rex Dieter <rexdieter[AT]users.sf.net> 1.0.1-1 
- cleanup for Fedora Extras

* Wed Oct 13 2004 Rex Dieter <rexdieter at sf.net> 1.0.1-0.lvn.1
- 1.0.1

* Tue Sep 28 2004 Rex Dieter <rexdieter at sf.net> 1.0-0.lvn.1
- 1.0
- .desktop: touchup Name/GenericName

* Thu Jul 29 2004 Rex Dieter <rexdieter at sf.net> 0.9.4-0.lvn.1
- fdr -> lvn

* Thu Jul 22 2004 Rex Dieter <rexdieter at sf.net> 0.9.4-0.fdr.1
- 0.9.4(-1)
- fedora'ize

* Thu Feb 25 2004 Dries Verachtert <dries@ulyssis.org> 0.9.2-3
- moved the apollon menu entry to 'more internet applications'
  bug found by Sindre Pedersen Bjørda, thanks!

* Wed Feb 25 2004 Dries Verachtert <dries@ulyssis.org> 0.9.2-2
- removed the dependencies on gift plugins
  bug found by Sindre Pedersen Bjørda, thanks!

* Wed Feb 4 2004 Dries Verachtert <dries@ulyssis.org> 0.9.2-1
- update to version 0.9.2

* Sat Jan 10 2004 Dries Verachtert <dries@ulyssis.org> 0.9.1-2
- spec file cleanup
- other desktop file

* Mon Dec 29 2003 Dries Verachtert <dries@ulyssis.org> 0.9.1-1
- first packaging for Fedora Core 1

